=== debian/changelog ===
hyprtoolkit (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1118668)

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 15 Nov 2025 19:08:29 +0100
