=== debian/control ===
Source: hyprtoolkit
Section: libs
Priority: optional
Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
Uploaders:
 Carl Keinath <carl.keinath@gmail.com>,
 Chow Loong Jin <hyperair@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkgconf,
 libegl-dev,
 libgles-dev,
 hyprwayland-scanner (>= 0.4.0),
 libwayland-dev,
 wayland-protocols,
 libhyprutils-dev (>= 0.9.0),
 libhyprlang-dev (>= 0.6.0),
 libpixman-1-dev,
 libdrm-dev,
 libgbm-dev,
 libxkbcommon-dev,
 libpango1.0-dev,
 libcairo2-dev,
 libiniparser-dev,
 libhyprgraphics-dev (>= 0.3.0),
 libaquamarine-dev (>= 0.9.5),
 libgtest-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/hyprwm/hyprtoolkit
Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprtoolkit
Vcs-Git: https://salsa.debian.org/hyprland-team/hyprtoolkit.git

Package: libhyprtoolkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libhyprtoolkit3 (= ${binary:Version}),
 libhyprutils-dev (>= 0.9.0),
 libhyprgraphics-dev (>= 0.3.0),
 libaquamarine-dev (>= 0.9.5),
 ${misc:Depends},
Description: Modern, wayland-native C++ GUI toolkit -- development files
 Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
 making wayland GUI apps, with a few goals:
 .
  - Simple C++ API for making a GUI app
  - Smooth animations
  - Easy usage
  - Simple system theming
 .
 This package contains the headers and other development support files needed
 for compiling and linking applications and libraries which use this library.

Package: libhyprtoolkit3
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Modern, wayland-native C++ GUI toolkit -- binary files
 Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
 making wayland GUI apps, with a few goals:
 .
  - Simple C++ API for making a GUI app
  - Smooth animations
  - Easy usage
  - Simple system theming
 .
 This package contains the shared library needed for running applications which
 use this library.
