=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprtoolkit3 (= ${binary:Version}),
+ libhyprtoolkit4 (= ${binary:Version}),
  libhyprutils-dev (>= 0.9.0),
  libhyprgraphics-dev (>= 0.3.0),
  libaquamarine-dev (>= 0.9.5),
@@ -53,7 +53,7 @@
  This package contains the headers and other development support files needed
  for compiling and linking applications and libraries which use this library.
 
-Package: libhyprtoolkit3
+Package: libhyprtoolkit4
 Architecture: any
 Multi-Arch: same
 Depends:
