## hyprtoolkit 0.5.2

=== debian/changelog ===
hyprtoolkit (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 06 Jan 2026 11:50:39 +0800

hyprtoolkit (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * refresh patches
  * d/control:
    - set min required hyprutils to >= 0.11.0
    - bump SOVERSION to 5
    - set min required hyprgraphics to >= 0.5.0
  * bump Standards-Version to 4.7.3

 -- Carl Keinath <carl.keinath@gmail.com>  Sat, 03 Jan 2026 09:21:53 +0100

hyprtoolkit (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1

 -- Carl Keinath <carl.keinath@gmail.com>  Sun, 21 Dec 2025 15:44:25 +0100
