## hyprtoolkit 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
   wayland-client
   wayland-protocols
   egl
-  hyprutils>=0.9.0
+  hyprutils>=0.11.0
   hyprlang>=0.6.0
   pixman-1
   libdrm
@@ -39,7 +39,7 @@
   pangocairo
   iniparser
   hyprgraphics>=0.3.0
-  aquamarine>=0.9.5)
+  aquamarine>=0.10.0)
 
 configure_file(hyprtoolkit.pc.in hyprtoolkit.pc @ONLY)
 
@@ -72,7 +72,7 @@
   PUBLIC "./include"
   PRIVATE "./src" "./src/include" "./protocols" "${CMAKE_BINARY_DIR}")
 set_target_properties(hyprtoolkit PROPERTIES VERSION ${HYPRTOOLKIT_VERSION}
-                                             SOVERSION 4)
+                                             SOVERSION 5)
 target_link_libraries(hyprtoolkit PUBLIC OpenGL::EGL OpenGL::OpenGL
                                          PkgConfig::deps)
