=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  hyprwayland-scanner (>= 0.4.0),
  libwayland-dev,
  wayland-protocols,
- libhyprutils-dev (>= 0.9.0),
+ libhyprutils-dev (>= 0.11.0),
  libhyprlang-dev (>= 0.6.0),
  libpixman-1-dev,
  libdrm-dev,
@@ -23,10 +23,10 @@
  libpango1.0-dev,
  libcairo2-dev,
  libiniparser-dev,
- libhyprgraphics-dev (>= 0.3.0),
- libaquamarine-dev (>= 0.9.5),
+ libhyprgraphics-dev (>= 0.5.0),
+ libaquamarine-dev (>= 0.10.0),
  libgtest-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/hyprwm/hyprtoolkit
 Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprtoolkit
 Vcs-Git: https://salsa.debian.org/hyprland-team/hyprtoolkit.git
@@ -36,10 +36,10 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libhyprtoolkit4 (= ${binary:Version}),
- libhyprutils-dev (>= 0.9.0),
- libhyprgraphics-dev (>= 0.3.0),
- libaquamarine-dev (>= 0.9.5),
+ libhyprtoolkit5 (= ${binary:Version}),
+ libhyprutils-dev (>= 0.11.0),
+ libhyprgraphics-dev (>= 0.5.0),
+ libaquamarine-dev (>= 0.10.0),
  ${misc:Depends},
 Description: Modern, wayland-native C++ GUI toolkit -- development files
  Hyprtoolkit is designed to be a small, simple, and modern C++ toolkit for
@@ -53,7 +53,7 @@
  This package contains the headers and other development support files needed
  for compiling and linking applications and libraries which use this library.
 
-Package: libhyprtoolkit4
+Package: libhyprtoolkit5
 Architecture: any
 Multi-Arch: same
 Depends:
